from creader import ClusterFileReader, clusterize
import numpy as np

maxph=100000000
#maxph=100

from pathlib import Path
fpath = Path("/mnt/sls_det_storage/moench_data/Moench_LGAD_SIM_Nov22/moenchLGAD202211/clustW17new/beam_En800eV_-40deg_300V_10us_d0_f5_0.clust")
# r = ClusterFileReader()
#a=np.zeros([400,400])
a=None #np.array([])

r = ClusterFileReader(fpath.as_posix())
a=r.read(maxph,a)
# b=clusterize(a)

# #v=int(maxph/100)
# #print(a[::v])
